package com.memberwebs.httpauth.jetty;

import org.mortbay.http.HttpRequest;
import org.mortbay.http.UserPrincipal;
import org.mortbay.http.UserRealm;

public class NullRealm implements UserRealm
{
	public String getName()
	{
		return "null-realm";
	}

	public UserPrincipal authenticate(String username, Object credentials, HttpRequest request)
	{
		// We don't do any authentication
		return null;
	}

	public void disassociate(UserPrincipal user)
	{
		// We don't do any authentication	
	}

	public UserPrincipal pushRole(UserPrincipal user, String role)
	{
		// We don't do any authentication
		return null;
	}

	public UserPrincipal popRole(UserPrincipal user)
	{
		// We don't do any authentication
		return null;
	}

	public void logout(UserPrincipal user)
	{
		// We don't do any authentication
	}
}
